Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.impl
Class STSServiceWsTrustImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService
          be.ehealth.technicalconnector.service.sts.impl.STSServiceWsTrustImpl

All Implemented Interfaces:
  STSService

    public class STSServiceWsTrustImpl

extends AbstractSTSService
implements STSService

The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service. Extends: `AbstractSTSService` => Implements : `STSService`

Field Summary

Fields inherited from class be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService
`HOK_METHOD, SV_METHOD`

Constructor Summary
`STSServiceWsTrustImpl()`

Method Summary
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, int validity)` Gets the token.
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, int validity)`
`Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, int validity)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STSServiceWsTrustImpl

    public STSServiceWsTrustImpl()

Method Detail

### getToken

    public Element getToken(Credential headerCredentials,
                            Credential bodyCredentials,
                            List<SAMLAttribute> attributes,
                            List<SAMLAttributeDesignator> designators,
                            String authenticationMethod,
                            String nameQualifier,
                            String value,
                            String subjectConfirmationMethod,
                            int validity)
                     throws TechnicalConnectorException

  Specified by:
    `getToken` in interface `STSService`
  Returns:
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.technicalconnector.service.sts.STSService#getToken(be.ehealth.technicalconnector.service.sts.security.Credential, be.ehealth.technicalconnector.service.sts.security.Credential, java.util.List, java.util.List, java.lang.String, java.lang.String, java.lang.String, int)`

### getToken

    public Element getToken(Credential headerCredentials,
                            Credential bodyCredentials,
                            List<SAMLAttribute> attributes,
                            List<SAMLAttributeDesignator> designators,
                            String subjectConfirmationMethod,
                            int validity)
                     throws TechnicalConnectorException

  Description copied from interface: `STSService`
  Gets the token.

  Specified by:
    `getToken` in interface `STSService`
  Parameters:
    `headerCredentials` - Credentials used for securing the SOAP request message.
    `bodyCredentials` - Credentials used for securing the SAML request.
    `attributes` - List of Attributes containing user/organization information.
    `designators` - List of Designators.
    `validity` - the validity Validity of the session in hours.
  Returns:
    SAML assertion token provided by eHealth-platform.
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### renewToken

    public Element renewToken(Credential headerCredentials,
                              Credential bodyCredentials,
                              Element samlToken,
                              int validity)
                       throws TechnicalConnectorException

  Specified by:
    `renewToken` in interface `STSService`
  Returns:
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.technicalconnector.service.sts.STSService#renewToken(be.ehealth.technicalconnector.service.sts.security.Credential, be.ehealth.technicalconnector.service.sts.security.Credential, org.w3c.dom.Element, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.